ChangeLog for kdevelop v4.5.80
==============================

* Milian Wolff: Set version to 4.5.80, i.e. 4.6 Beta 1
* Kevin Funk: Also use RESET from Q_PROPERTY in uses
* Aleix Pol: It's the parent context we're looking for
* Kevin Funk: Minor: Fix moc warning
* Kevin Funk: Minor: Get rid off another #warning
* Kevin Funk: Minor: Fix stale warning
* Kevin Funk: GDBTest: Add missing WAIT_FOR_STATE
* Kevin Funk: GDBTest::testCatchPoint: Fix flaky test
* Kevin Funk: Minor: Remove some stale warnings, TODO items
* Milian Wolff: Add debug output, trying to figure out buildslave issue
* Kevin Funk: GDBTest: Skip remote tests in case of no gdbserver
* Aleix Pol: cleanup
* Aleix Pol: Delay tests files lookup until the project items have been created
* Vlas Puhov: Don't set the same breakpoint multiple times when starting.
* Milian Wolff: Add debug output in hope to figure out whats breaking on the CI server for this test.
* Milian Wolff: Fix unit test to not rely on specific formatter configuration.
* Milian Wolff: Use configure_file instead of -D when passing paths.
* Kevin Funk: qt4.py: Really make compatible with Python 2.x
* Kevin Funk: Tests: Use -nx instead of -nh for gdb
* Kevin Funk: Tests: Error out early in case 'gdb' is not found
* Milian Wolff: Skip testAttach gdb test if attaching is not permitted
* Milian Wolff: Set CMake version to 2.8 and fix issues found by that.
* Kevin Funk: Minor: Remove additional debug output
* Kevin Funk: Remove some whitespace usage from printers
* Kevin Funk: Add test for KDE4 printers
* Kevin Funk: Pretty-printers: Make compatible with Python 3.x
* Kevin Funk: qtprinters test: Pass '-nh' to gdb process
* Kevin Funk: qtprinters test: Error out early on exception
* Kevin Funk: Minor: Fix warning
* Aleix Pol: Enable compilation of hte ninja plugin
* Kevin Funk: Check if kdevplatform has JSON support
* Kevin Funk: Don't crash in case of dangling updates
* Burkhard Lueck: Load translation catalog kdevcmake in cmakedocumentation.
* Burkhard Lueck: Fix message extraction in providers/ghprovider.
* Jekyll Wu: remove conflict marker
* Kevin Funk: Add *.desktop.cmake files to .gitattributes, too
* Yuri Chornoivan: Avoid word puzzles in i18n
* Vlas Puhov: Wait a little bit longer for terminal app to start.
* Vlas Puhov: USe more descriptive/correct error messages.
* Vlas Puhov: Use QTemporaryFile instead of mknod/open stuff.
* Vlas Puhov: Make gdb unit tests pass with gcc 4.8 && gdb 7.6
* Vlas Puhov: Unit test for debug in external terminals.
* Vlas Puhov: Make it possible to debug from external terminals.
* Vlas Puhov: Don't leak memory in DebugSession.
* Aleix Pol: small code cleanup
* Aleix Pol: Adapt to changes in documentation API
* Kevin Funk: Remove unused variable (unused since 2010)
* Milian Wolff: Also take namespace imports into account for code completion after ::
* Milian Wolff: C++11: Add implicit using directive for inline namespaces.
* Milian Wolff: Fix some compiler warnings.
* Milian Wolff: Only propagate enum declarations for non-class enums.
* Milian Wolff: Make MainWindow visible of the session in which we open the files.
* Milian Wolff: Give internal linkage to helper functions.
* Kevin Funk: Consistency in actions: 'Prev X', then 'Next X'
* Meenakshi Khorana: Provide a shortcut for switching split views
* Milian Wolff: Improve GCC compatibility: Alias __final to final.
* Kevin Funk: Minor: Fix warnings
* Milian Wolff: Properly distinguish between (non)-volatile template arguments.
* Milian Wolff: Also skip escaped newlines outside of comments.
* Milian Wolff: Skip newlines at the end of c-style comments if they are escaped.
* Milian Wolff: Remove dead code.
* Milian Wolff: Fix compiler warnings.
* Kevin Funk: Minor: Fix some warnings
* Aleix Pol: Add support for add_library(...ALIAS...)
* Vlas Puhov: Fix tty warning.
* Aleix Pol: readability++
* Aleix Pol: Don't crash when a broken add_executable is found
* Milian Wolff: Remove QPropertyDeclaration.
* Meenakshi Khorana: Patch for bug 274301
* Meenakshi Khorana: Improve plugin description(debugging plugins), which is shown in the About dialog.
* Aleix Pol: Create private slots, automatically
* Aleix Pol: Polish the decoration of unary operators
* Jekyll Wu: Unbreak the build, as follow up of commit 06828bd
* Aleix Pol: Remove casting from one type to itself
* Aleix Pol: Those data.kdev4 files were never useful...
* Aleix Pol: Move path resolution to the job side
* Aleix Pol: Fix executable lookup
* Aleix Pol: Make it possible to glob directories
* Aleix Pol: Extend the cmake glob test
* Pino Toscano: fixuifiles
* Andreas Pakulat: Fix default when reading the number of jobs
* Milian Wolff: Don't load unneccessary plugins for cpp tests.
* Milian Wolff: Cleanup code and fix crash on shutdown/exit for clang builds.
* Milian Wolff: Remove obsolete code
* Sven Brauch: add myself to the contributors list
* Andreas Pakulat: Fix building the tests (at least with gcc 4.8)
* Allen Winter: compile++ found when building tests
* Vlas Puhov: Add shortcut for update action too.
* Vlas Puhov: Set flag value in hex format.
* Vlas Puhov: Simplify formatTostring and stringToFormat converters.
* Vlas Puhov: Smooth horizontal scrolling.
* Vlas Puhov: Add 0b prefix to binary format values.
* Vlas Puhov: Distinguish register mode and format. Add shortcuts.
* Vlas Puhov: Remove unused includes. Fix flag's FIXME.
* Vlas Puhov: Remove float point registers workaround.
* Vlas Puhov: Oops! Forgot to add converters into version control.
* Vlas Puhov: Let RegistersView decide what to update.
* Vlas Puhov: Simplify registersview.
* Vlas Puhov: Distinguish general, structured and flag registers. Move structured registers handling into interface. Update registers in each group separetly from other groups.
* Vlas Puhov: Make every register writable.
* Vlas Puhov: Bring back support for format changing.
* Vlas Puhov: Move Models class into implementation.
* Vlas Puhov: Port to model/view framework. Everything works as before, except format changing.
* Vlas Puhov: Clear tabs text after debug session ending as different architectures have different register groups.
* Vlas Puhov: Fix int/uint flag conversion.
* Vlas Puhov: Remove margins in the registers view.
* Vlas Puhov: Right now format change menu makes sense only for general purpose registers.
* Vlas Puhov: Move updateFlagValues to interface to reduce code duplicity.
* Vlas Puhov: Remove redundant RegistersFromGroupInternally. Add const'ness to member functions.
* Vlas Puhov: Use QTabWidget to reduce interface cluttering,
* Vlas Puhov: Remove redundant checks.
* Vlas Puhov: Use QScopedPointer for RegisterController.
* Vlas Puhov: kDebug() -> Q_ASSERT;
* Vlas Puhov: Fix possible bug when register controller is deleted, but view thinks that it's not.
* Vlas Puhov: Make names of register groups translatable.
* Vlas Puhov: Don't use hardcoded name for the flags group.
* Vlas Puhov: Make registerNamesForGroup more abstract. Don't use c casts.
* Vlas Puhov: Use one vector with register names for all groups instead of a list for each group.
* Vlas Puhov: Reference -> pointer, as suggested on the mail list.
* Vlas Puhov: Removed some debug messages, added comments to regexp and more.
* Vlas Puhov: Names of register groups now static.
* Vlas Puhov: Use new enumToString conversion. Remove const& from enums.
* Vlas Puhov: Fixed many insignificant issues. +Reformatting.
* Vlas Puhov: Take reference - return void. Fixed bug with negative float point values.
* Vlas Puhov: Remove blank lines. registersView -> Registersview
* Vlas Puhov: Use SignalMapper.
* Vlas Puhov: int -> RegistersFormat.
* Vlas Puhov: More const, fix parent->parent.
* Vlas Puhov: Fix some comments and warnings.
* Vlas Puhov:  Fix stupid bugs with arm registers.
* Vlas Puhov: Fixed static member bugs.
* Vlas Puhov: Bring back some references.
* Vlas Puhov: Remove all that static stuff. Half goes into member variables, other just removed.
* Vlas Puhov: Remove tooltip functions, as not used. Remove get prefix.
* Vlas Puhov: Use QHash/QVector instead of QMap.
* Vlas Puhov: Don't inline constructors, use Q_DECLARE_TYPEINFO, remove prepending get, add const& to parameters, remove some debug messages and more.
* Vlas Puhov: Update dependant groups too. (like VFP single ->  double and quad)
* Vlas Puhov: Update only changed registers groups. Improve support of FPU, VFP single registers.
* Vlas Puhov: Add a cpu registers view. First working version.
* Aleix Pol: Make sure unit tests work with kde4_add_unit_test
* Vlas Puhov: Fix debug session ending for remote debugging.
* Aleix Pol: Fix crash when reloading directories, sometimes
* Milian Wolff: Re-implement project filtering for the CMakeManager.
* Max Schwarz: Fix template specialization for template class nested in class.
* Aleix Pol: Bring back the unit tests support
* Aleix Pol: Properly include the current binary dir according to CMAKE_INCLUDE_CURRENT_DIR
* Aleix Pol: Improve internal type usage
* Aleix Pol: Don't crash if a non-project path is reported as dirty
* Milian Wolff: Ensure validity of declaration before access
* Aleix Pol: Move CMakeEdit functions to cmakeedit.cpp
* Aleix Pol: Move the cmake editing helpers in a separate file
* Sven Brauch: Enable KDevelop to open files in running instances.
* Max Schwarz: Search in all project files for header file for ImplementationHelpers.
* Aleix Pol: fix crash
* Aleix Pol: Fix threading issues
* Aleix Pol: if we already have some data, let's pass it along
* Aleix Pol: shouldn't have committed that
* Aleix Pol: make methods private if they're not used elsewhere
* Aleix Pol: reorganize tests
* Aleix Pol: Small code simplifications in the cmake manager class
* Aleix Pol: not needed anymore
* Aleix Pol: fix broken connect
* Aleix Pol: fix binaries lookup
* Aleix Pol: forgot this one...
* Aleix Pol: Improve how the CMakeProjectData is stored
* Aleix Pol: Attempt to make it threaded, untested
* Aleix Pol: try to improve readability
* Aleix Pol: Next iteration of the split
* Aleix Pol: Remove all mutexes
* Aleix Pol: Don't commit the changes to the tree if we're still waiting for the parent folder
* Aleix Pol: Remove the mutexes for now
* Aleix Pol: readability...
* Aleix Pol: First steps towards reloading
* Aleix Pol: Don't let it the WaitAllJobs to emit the result twice
* Aleix Pol: Improve integration with the API
* Aleix Pol: KDE4 already fetches Qt4, no need to do so explicitly
* Aleix Pol: Small optimization
* Aleix Pol: Fix execution of the cmakeprojectvisitortest
* Aleix Pol: Further iteration on the refactoring
* Aleix Pol: some tuning hoping it will work
* Aleix Pol: Iteration over the work already started
* Aleix Pol: Split the CMake project generation and the model update
* Milian Wolff: Add a test for missing support of base class init'ing via typedefs.
* Milian Wolff: Unalias type after delayed type resolution befor baseClass import.
* Milian Wolff: Optionally dumpDUContext when DUMP_DUCONTEXTS env var is set.
* Kevin Funk: About dialog: Update copyright year
* Kevin Funk: Minor: Reduce includes
* Aleix Pol: Revert "Try not to pass around ProjectBaseItem*"
* Aleix Pol: Try not to pass around ProjectBaseItem*
* Milian Wolff: Cache results of getLookaheadMatches on a per-container basis.
* Milian Wolff: Optimize lookAhead code completion.
* Milian Wolff: Some const&'ing of code.
* Milian Wolff: Enable TypeConversion cache while showing code completion results.
* Milian Wolff: Don't try to figure out a match quality of namespaces and types.
* Milian Wolff: Optimize code completion for many items of potential match quality.
* Milian Wolff: Remove this strange "implement me" node.
* Milian Wolff: Fix clang compiler warnings
* Milian Wolff: Fix clang compiler warnings.
* Olivier JG: Revert "Fix endless recursion in setSpecializedFrom"
* Olivier JG: Don't attempt to specialize from a specialization.
* Andreas Pakulat: Add a reviewboardrc for easier review-creation
* Milian Wolff: Implement project filtering for the cmake manager in a threadsafe way.
* Vlas Puhov: Unit test for breakpoint's modification while running.
* Vlas Puhov: Add support for changing breakpoints while running.
* Milian Wolff: Remove code that is now available in kdevplatform.
* Andras Mantia: Compile
* Milian Wolff: Fix build on build.kde.org
* Milian Wolff: Disable usage of fileno which is not available in clang.
* Milian Wolff: Build printer tests in debugfull mode after all.
* Milian Wolff: Make the include path resolver cache a file-local static.
* Milian Wolff: Cleanup CMakeLists, only compile required files for cppcodegentest.
* Milian Wolff: Remove obsolete code
* Milian Wolff: Remove global static QStringList's here.
* Milian Wolff: Do not disable presistent storage.
* Milian Wolff: Reenable unit test and make it pass.
* Milian Wolff: Use nogui test for cppcodegen
* Milian Wolff: Use TestCore API to properly remove temporary data after test run.
* Milian Wolff: Use TestCore API
* Milian Wolff: Don't include this file twice
* Milian Wolff: Fix clang warning: toUtf8 is not required here.
* Yuri Chornoivan: Replace a link to nokia with qt-project
* Milian Wolff: Fix visibility of MacroNavigationContext
* Hannes Hofer: Fix macro expansion when the arguments are split over multiple lines.
* Vlas Puhov: Improve support of regular expression breakpoints(from gdb toolview only)
* Vlas Puhov: Fix gdb unit test. Why did it work at all?
* Milian Wolff: cleanup code
* Vlas Puhov: Fix gdb testCatchpoint() unit test.
* Vlas Puhov: Gdb unit tests: check if compiler is gcc, and set CMAKE_BUILD_TYPE=debugfull, without it gdb crashes all the time.
* Milian Wolff: Remove obsolete code, deleteSelf should not be public.
* Christophe Giboudeaux: Installing yet another broken FindQJson.cmake copy is not needed.
* Milian Wolff: Fix unit test, there is only one interesting local variable.
* Milian Wolff: fixup
* Milian Wolff: Fix running the gdb unit tests when compiling with clang.
* Milian Wolff: Fix unit test/debugging: Don't ship an outdated version of libstdcxx.
* Milian Wolff: Fix unit test, the label is not its own action (anymore?)
* Aleix Pol: Be less bad at handling ninja output
* Aleix Pol: Gracefully react to a lack of a working directory
* Milian Wolff: Revert "Use QUuid for session id."
* Milian Wolff: Use QUuid for session id.
* Vlas Puhov: Multiple breakpoints.
* Vlas Puhov: Adjust StackFetchMore() unittest to changed algorithm.
* Miquel Sabaté: ghprovider: it seems like I messed up with the icons in my previous commit...
* Miquel Sabaté: ghprovider: disable the LineEdit when it's not needed.
* Miquel Sabaté: Added the Github plugin in the providers directory.
* Vlas Puhov: 	DisassembleWidget enhancements, code clean up.
* Vlas Puhov: Fix incorrect executable for debug.
* Vlas Puhov: Fix incorrect debug session ending.
* Aleix Pol: revert useless filtering
* Aleix Pol: warning -> debug
* Aleix Pol: Store the cleanup items in a set
* David Nolden: Adapt to kdevplatform: Rename kdevplatform_shell_environment.sh back to kdevplatform_shell_environment
* Aleix Pol: Improve the Config.cmake lookup paths
* Aleix Pol: When we need the full model to be parsed, don't call reloadModel
* Aleix Pol: Reduce the amount of tested paths when finding for files
* Aleix Pol: Improve the GenerationExpressionSolver
* Kevin Funk: Minor: Fix warnings
* Milian Wolff: Check type validity after call to TypeUtils::realType.
* Vlas Puhov: Fix crash of DisassembleWidget.
* Vlas Puhov: Adds jumpTo command to DisassembleWidget. see bug: 314165
* Vlas Puhov: Make DisassembleWidget more or less resizeble.
* Vlas Puhov: Unit test for disabled breakpoints.
* Vlas Puhov: Now gdb unittests do work.
* Aleix Pol: Fix loading Qt help
* Sergey Vidyuk: Support return statement
* Sergey Vidyuk: Update global vars when visiting set(..CACHE..FORCE) AST node
* Andrea Scarpino: Fix build when CMAKE_CURRENT_SOURCE_DIR contains spaces
* Aleix Pol: Prevent KConfigGroup from assserting
* Andreas Pakulat: Revert "Try to ensure that the configuration is valid before returning it"
* Andreas Pakulat: Revert "Also synchronize the initial group"
* Andreas Pakulat: Also synchronize the initial group
* Andreas Pakulat: Try to ensure that the configuration is valid before returning it
* Aleix Pol: Prefer insertGlobal with those variables
* Aleix Pol: --debug
* Aleix Pol: code readability++
* Aleix Pol: qDebug -> kDebug
* Aleix Pol: Improve the parsing of sub-projects
* Aleix Pol: Improve code readability
* Aleix Pol: For the root folder, re-use the data from the parents
* Aleix Pol: Fix cmakeloadprojecttest
* Aleix Pol: Small fix in the cmakeconditiontest
* Aleix Pol: Improve the ctest unit test
* Aleix Pol: Improve code sharing between tests
* Aleix Pol: --debug
* Aleix Pol: Refactored the QtHelp loading so that it is not synchronous
* Aleix Pol: Make sure that the ninja builder is available before letting select ninja
* David Faure: fix compilation with -DQT_STRICT_ITERATORS
* Aleix Pol: Skip hash call
* Aleix Pol: Remove unused variable
* Aleix Pol: Add a new testing tool called kdevprojectopen
* Aleix Pol: Reorganize cmake unit tests
* Aleix Pol: Don't try to resolve paths with generation expressions
* Aleix Pol: First approach to CMake Generation Expressions
* Aleix Pol: qWarning -> kDebug
* Aleix Pol: Small fixes in the project visitor
* Aleix Pol: Implement the CACHE property handling
* Aleix Pol: Remove duplicates when setting
* Aleix Pol: Simplify the way we store and fetch include directories
* Aleix Pol: Remove the cmake target includes property
* Andreas Pakulat: Fix builds for okteta in a separate prefix
* Andreas Pakulat: Avoid crashes when changing the selected builddir
* Aleix Pol: Make it possible to pull includes and defines from the targets
* Aleix Pol: Iterate the cmakemanagertest
* Aleix Pol: Remove some unneeded complexity
* Aleix Pol: Small cleanup of the target includes' code
* Alexandre Courbot: Preserve relative paths in unresolved include assistant
* Aleix Pol: Reduce quite some of the duplicated code in the cmakemanagertest
* Aleix Pol: Create a test for the target_include_directories
* Aleix Pol: Support target_include_directories command
* Sven Brauch: Differentiate between different compound assignment operators (&=, +=...)
* Milian Wolff: Do not offer signature assistant for changes in Qt signals.
* Milian Wolff: Transform ranges properly using the revision they actually belong to.
* Milian Wolff: Remove faulty assertion about paramDelyedId identifier count.
* Milian Wolff: Optimize: Cache CMakeParserUtils::initialVariables result.
* Milian Wolff: Rename m_varsDef to varsDef as its not a member variable
* Aleix Pol: Adapt to changes in kdevplatform, regarding script files .sh extension
* Aleix Pol: Don't crash if we run list(FIND) without a find element
* Aleix Pol: Fix cmake icon sizes
* Kevin Funk: Respect KDE HIG in dialogs
* Aleix Pol: small code simplification
* Aleix Pol: we haven't used this code for quite some time, just remove it
* Aleix Pol: Don't store a ProjectBaseItem in the MakeJob
* Aleix Pol: remove unneeded method declaration
* Aleix Pol: Don't store the ProjectBaseItem* as a member
* Aleix Pol: If we call IAssistant::actions() from ::createActions()
* Sven Brauch: Adjust creating assistant action to kdevplatform changes
* Aleix Pol: Update the README file with working links
* Aleix Pol: It's of little use to be able to generate the desktop file if we hardcode all the values
* Aleix Pol: Automatically set the plugin version at compile time
* Aleix Pol: Explicitly reload the model whenever the cache has changed
* Yuri Chornoivan: Sync offline docs with UserBase
* Sven Brauch: splash: remove leftover code line, fine-tune some colors
* Aleix Pol: Support the WILL_FAIL property in ctest support
* Sven Brauch: Remove "stay on top" hint from the splash screen.
* Aleix Pol: Make it possible to debug QML plasmoids using gdb
* Aleix Pol: Enable having different IExecutePlugin instances supported from gdb plugin
* Milian Wolff: Do not call QApplication::processEvents in KDevSplashScreen::progress.
* Aleix Pol: remove unneeded variable
* Marcel Hellwig: Properly set window flags of splash screen.
* Sven Brauch: Scary fix for the highlighting bug
* Olivier JG: Fix a bunch of stuff that I don't want milian to ask me to write tests for... Fix the way best matches are calculated. Used to be really kludgy and ugly. Fix constructor initializer completion (that whole constructor initializer completion handling needs to be redone to integrate better with the rest of completion) Put special enum completion items in their own group, and have them show up in return access. (this means you can browse the whole list easily, and not only a max of 5 best matches) More match types for binary operators, some other stuff. Memo to me, next time stop after the first feature and write tests.
* Andreas Pakulat: Fix crash when adding a new build config
* Sven Brauch: A test for the recently appearing bug with highlighting of function args.
* Sven Brauch: Remove ugly green line in splash screen images, add percentage
* Milian Wolff: Add license header to test files.
* Sven Brauch: Make splash text more readable
* Milian Wolff: Fixup 6e013a503cb09a79d97d34acfef15383f7626618:
* Milian Wolff: Don't set fromLValue if we encounter an rvalue reference.
* Milian Wolff: Opt: Don't try to evaluate ellipsis string to find its type.
* Milian Wolff: Disable debug in typeconversion.cpp again.
* Milian Wolff: Disable DEBUG_ADL again.
* Milian Wolff: Add test for type evaluation of char(1).
* Milian Wolff: Add support for ADL of varargs functions, handle ellipsis conversion.
* Milian Wolff: Remove obsolete TODO note.
* Milian Wolff: Never exchange DelayedType with CppTemplateParameterType
* Milian Wolff: Add dump function for TemplateDeclaration::InstantiationsHash
* Milian Wolff: Fix most vexing parse for functions using varargs (i.e. ellipsis).
* Olivier JG: Sort lookahead match group after private and public members.
* Olivier JG: Add lookahead matching for member access as well.
* Olivier JG: Don't offer member completion for non-instances.
* Sven Brauch: A new Splash Screen for KDevelop.
* Olivier JG: Don't lookahead for declarations which already match the needed type.
* Olivier JG: Remove expired comment.
* Ben Wagner: Target compile definitions may have values.
* Olivier JG: Filter lookahead declarations so they no longer include inaccessible members. Add some const-correctness to make it possible to use filterDeclarations. Add tests to verify. REVIEW:109537
* Milian Wolff: Reenable lookahead code completion in master.
* Kevin Funk: Fix casing of string
* Kevin Funk: CMakeAST: Initialize variable
* Milian Wolff: Cleanup: Use PushValue instead of custom Enabler class.
* Pino Toscano: use i18n instead of tr
* Kevin Funk: Set title on refactoring dialog
* Milian Wolff: Disable call to removeLastLines.
* Milian Wolff: Remove obsolete call.
* Miha Čančula: Add Grantlee closing tags where missing
* Aleix Pol: Remove all these KConfig::sync calls
* Aleix Pol: Adapt to changes in kdevplatform regarding .desktop files generation
* Aleix Pol: Fix scope of configure need check
* Aleix Pol: Stop using KConfig from the cmake manager
* Aleix Pol: add missing include file
* Aleix Pol: Specify that the static QString strings that define a group name are static
* Aleix Pol: Remove the CMakeDir settings
* Aleix Pol: Add feedback on cmake prune job
* Lasse Liehu: Fix i18n catalog name of the KDevelop sessions applet
* Aleix Pol: Make documentation building optional
* Burkhard Lück: remove consecutive duplicate word >working<
* Aleix Pol: More improvements in the git protocol settings
* Aleix Pol: Make it possible to check out projects with the kde: url prefix
* Kevin Funk: MakeJob: Remove unused member for MakeBuilder ref
* Kevin Funk: Minor: Remove redundant newlines from file
* Ben Wagner: Improve and re-enable memory tool view.
* Kevin Funk: Minor: Fix -Wreorder warning
* Aurélien Gâteau: List project names in matches
* Aurélien Gâteau: Fix removal of "kdevelop" prefix from the search term
* Ben Wagner: Add test for add_custom_target SOURCES.
* Ben Wagner: Add SOURCES to add_custom_target.
* Aleix Pol: Make it possible to have arguments with non-latin1 characters
* Aleix Pol: Improve welcome page looks
* Aleix Pol: Make it usable from kdev master
* Milian Wolff: Merge .desktop files using the 'ours' strategy.
* Milian Wolff: Increase version to 4.5.60 for what will become 4.6.
* Milian Wolff: Use DUChain::removeDocumentChain instea of deleteSelf
* Milian Wolff: Adapt to new KDevplatform SessionLock API.
* Ivan Shapovalov: Add a KCM (taken from MakeBuilder) to the Ninja builder.
* Ivan Shapovalov: Refactor NinjaJob: use OutputExecuteJob (code deduplication).
* Aleix Pol: Add missing i18n call
* Aleix Pol: Fix crash when compiling something that's not configured
* Aleix Pol: increase the plugin version
* Andreas Pakulat: Use return code to indicate job-failure
* Aleix Pol: Solve two problems with the builder
* Aleix Pol: Make sure the build.ninja exists before reducing the target list
* Aleix Pol: Improve log reporting
* Aleix Pol: Report finished job  even if it fails
* Pino Toscano: i18n: extract messages
* Aleix Pol: Solve resolution of relative paths
* Aleix Pol: --warnings
* Aleix Pol: Add highlighting
* Aleix Pol: Adapt to new API
* Aleix Pol: ++verbosity
* Aleix Pol: Notify that the build job has been finished
* Aleix Pol: Don't follow all the targets if buildint the root item
* Aleix Pol: understand the output as a compiler's
* Aleix Pol: fix commands used
* Aleix Pol: Make clean to actually clean
* Aleix Pol: Add black magic for plugin loading
* Aleix Pol: added the desktop file
* Aleix Pol: Initial commit
